OpenJPH: ui32_list_interpreter Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ui32_list_interpreter Struct Reference
Inheritance diagram for ui32_list_interpreter:

## Public Member Functions
| ui32_list_interpreter (const ojph::ui32 max_num_elements, ojph::ui32 &num_elements, ojph::ui32 *list)
virtual void | operate (const char *str)
| ui32_list_interpreter (const int max_num_elements, int &num_elements, ojph::ui32 *list)
virtual void | operate (const char *str)

## Public Attributes
const ojph::ui32 | max_num_eles
ojph::ui32 * | ui32list
ojph::ui32 & | num_eles
const int | max_num_eles
ojph::ui32 * | si32list
int & | num_eles

## Detailed Description

Definition at line 229 of file ojph_compress.cpp.

## Constructor & Destructor Documentation

## ◆ ui32_list_interpreter() [1/2]

ui32_list_interpreter::ui32_list_interpreter | ( | const ojph::ui32 | max_num_elements,
|  | ojph::ui32 & | num_elements,
|  | ojph::ui32 * | list )
| inline

Definition at line 231 of file ojph_compress.cpp.

References max_num_eles, num_eles, and ui32list.

## ◆ ui32_list_interpreter() [2/2]

ui32_list_interpreter::ui32_list_interpreter | ( | const int | max_num_elements,
|  | int & | num_elements,
|  | ojph::ui32 * | list )
| inline

Definition at line 53 of file ojph_expand.cpp.

References max_num_eles, num_eles, and si32list.

## Member Function Documentation

## ◆ operate() [1/2]

virtual void ui32_list_interpreter::operate | ( | const char * | str | ) |
| inlinevirtual

Implements ojph::cli_interpreter::arg_inter_base.

Definition at line 237 of file ojph_compress.cpp.

References max_num_eles, num_eles, and ui32list.

## ◆ operate() [2/2]

virtual void ui32_list_interpreter::operate | ( | const char * | str | ) |
| inlinevirtual

Implements ojph::cli_interpreter::arg_inter_base.

Definition at line 58 of file ojph_expand.cpp.

References max_num_eles, num_eles, and si32list.

## Member Data Documentation

## ◆ max_num_eles [1/2]

const ojph::ui32 ui32_list_interpreter::max_num_eles

Definition at line 266 of file ojph_compress.cpp.

Referenced by operate(), ui32_list_interpreter(), and ui32_list_interpreter().

## ◆ max_num_eles [2/2]

const int ui32_list_interpreter::max_num_eles

Definition at line 87 of file ojph_expand.cpp.

## ◆ num_eles [1/2]

ojph::ui32& ui32_list_interpreter::num_eles

Definition at line 268 of file ojph_compress.cpp.

Referenced by operate(), ui32_list_interpreter(), and ui32_list_interpreter().

## ◆ num_eles [2/2]

int& ui32_list_interpreter::num_eles

Definition at line 89 of file ojph_expand.cpp.

## ◆ si32list

ojph::ui32* ui32_list_interpreter::si32list

Definition at line 88 of file ojph_expand.cpp.

Referenced by operate(), and ui32_list_interpreter().

## ◆ ui32list

ojph::ui32* ui32_list_interpreter::ui32list

Definition at line 267 of file ojph_compress.cpp.

Referenced by operate(), and ui32_list_interpreter().

The documentation for this struct was generated from the following files:

- /build/openjph/src/OpenJPH/src/apps/ojph_compress/ojph_compress.cpp
- /build/openjph/src/OpenJPH/src/apps/ojph_expand/ojph_expand.cpp